Bug 216755 - Review Request: GLiv - OpenGL image viewer
Review Request: GLiv - OpenGL image viewer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
: 193446 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-21 15:54 EST by Peter Lemenkov
Modified: 2011-12-21 09:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 14:15:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Mock build log of gliv 1.9.5-2.fc7 (106.30 KB, text/plain)
2006-11-21 18:10 EST, Mamoru TASAKA
no flags Details

  None (edit)
Description Peter Lemenkov 2006-11-21 15:54:10 EST
Spec URL: http://lemenkov.newmail.ru/SPECS/gliv.spec
SRPM URL: http://lemenkov.newmail.ru/SRPMS/gliv-1.9.5-2.src.rpm

Description: GLiv is an OpenGL image viewer. GLiv is very fast and smooth at rotating, panning and zooming if you have an OpenGL accelerated graphics board.

This review request is a duplicate of stalled bug #193446 
Madcat willingly let me to take over this package.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=193446
Comment 1 Mamoru TASAKA 2006-11-21 17:27:15 EST
*** Bug 193446 has been marked as a duplicate of this bug. ***
Comment 2 Mamoru TASAKA 2006-11-21 18:10:32 EST
Created attachment 141851 [details]
Mock build log of gliv 1.9.5-2.fc7

mockbuild on FC-devel i386 fails.
Please check the build log.
Comment 3 Peter Lemenkov 2006-11-22 01:53:21 EST
(In reply to comment #2)
> Created an attachment (id=141851) [edit]
> Mock build log of gliv 1.9.5-2.fc7
> 
> mockbuild on FC-devel i386 fails.
> Please check the build log.

Added missing BR.
Updated to 1.9.6

http://lemenkov.newmail.ru/SPECS/gliv.spec
http://lemenkov.newmail.ru/SRPMS/gliv-1.9.6-1.src.rpm
Comment 4 Mamoru TASAKA 2006-11-22 09:23:55 EST
Well;

1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
* Use rpmlint
  - Rpmlint is not silent.
-----------------------------------------------------------
//usr/share/applications/fedora-gliv.desktop: warning: 
Categories values must be one of <snip>
(found "Application")

//usr/share/applications/fedora-gliv.desktop: warning: 
Categories values must be one of <snip>

(found "X-Red-Hat-Base")
-----------------------------------------------------------
    The category 'Application' and 'X-Red-Hat-Base' is no
    longer used (since desktop-file-utils 0.11) and this
    should be removed.

    NOTE: These warnings can be seem only in FC-devel.

* Documentation
-------------------------------
%doc %{_mandir}/man1/gliv.1*
%doc %{_mandir}/*/man1/gliv.1*
------------------------------
  - man manual files should not be marked as %doc.

* Why the %makeinstall macro should not be used
  - Don't use %makeinstall macro as this is known to be broken.

* Scriptlets requirements:
  Please check
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  * desktop-database
  - fedora-gliv.desktop has MimeType and this requires
    'update-desktop-database'.

2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
* The sources .... as provided in the spec URL
--------------------------------------------
[tasaka1@localhost gliv]$ LANG=C wget -N 
http://guichaz.free.fr/gliv/gliv-1.9.6.tar.bz2
--23:19:24--  http://guichaz.free.fr/gliv/gliv-1.9.6.tar.bz2
Resolving guichaz.free.fr... 212.27.63.100
Connecting to guichaz.free.fr|212.27.63.100|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
23:19:25 ERROR 404: Not Found.

--------------------------------------------
Comment 5 Peter Lemenkov 2006-11-22 10:06:32 EST
(In reply to comment #4)
> Well;
> 
> 1. From http://fedoraproject.org/wiki/Packaging/Guidelines :
> * Use rpmlint
>   - Rpmlint is not silent.

Fixed.

> * Documentation
> -------------------------------
> %doc %{_mandir}/man1/gliv.1*
> %doc %{_mandir}/*/man1/gliv.1*
> ------------------------------
>   - man manual files should not be marked as %doc.

Done.
 
> * Why the %makeinstall macro should not be used
>   - Don't use %makeinstall macro as this is known to be broken.

Fixed.

> 2. From http://fedoraproject.org/wiki/Packaging/ReviewGuidelines :
> * The sources .... as provided in the spec URL

Fixed.
Comment 6 Peter Lemenkov 2006-11-22 10:16:29 EST
(In reply to comment #4)

> -----------------------------------------------------------
> //usr/share/applications/fedora-gliv.desktop: warning: 
> Categories values must be one of <snip>
> (found "Application")
> 
> //usr/share/applications/fedora-gliv.desktop: warning: 
> Categories values must be one of <snip>
> 
> (found "X-Red-Hat-Base")
> -----------------------------------------------------------
>     The category 'Application' and 'X-Red-Hat-Base' is no
>     longer used (since desktop-file-utils 0.11) and this
>     should be removed.
> 
>     NOTE: These warnings can be seem only in FC-devel.


Which cateories should I use in this case?

> * Scriptlets requirements:
>   Please check
>   http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
>   * desktop-database
>   - fedora-gliv.desktop has MimeType and this requires
>     'update-desktop-database'.

Done.

Comment 7 Mamoru TASAKA 2006-11-22 10:34:21 EST
(In reply to comment #6)
> (In reply to comment #4)
> 
> >     The category 'Application' and 'X-Red-Hat-Base' is no
> >     longer used (since desktop-file-utils 0.11) and this
> >     should be removed.
> > 
> >     NOTE: These warnings can be seem only in FC-devel.
> 
> 
> Which cateories should I use in this case?

Categories should be:
----------------------------------------
Categories=GNOME;Graphics;
----------------------------------------

I forgot one more comment.
---------------------------------------
Icon=redhat-graphics.png
---------------------------------------
This is incorrect because redhat-graphics.png is not installed
by this package.
Comment 8 Peter Lemenkov 2006-11-22 10:46:15 EST
(In reply to comment #7)

> > Which cateories should I use in this case?
> 
> Categories should be:
> ----------------------------------------
> Categories=GNOME;Graphics;
> ----------------------------------------

OK.
 
> I forgot one more comment.
> ---------------------------------------
> Icon=redhat-graphics.png
> ---------------------------------------
> This is incorrect because redhat-graphics.png is not installed
> by this package.

I changed it to:

Icon=gliv.png

Unfortunately (Fortunately!) I don't use pretty-looking modern software such as
Gnome or KDE, so I can't check all that desktop stuff )

ver. 1.9.6-2

http://lemenkov.newmail.ru/SPECS/gliv.spec
http://lemenkov.newmail.ru/SRPMS/gliv-1.9.6-1.src.rpm
Comment 9 Peter Lemenkov 2006-11-22 10:46:57 EST
Oops.

http://lemenkov.newmail.ru/SRPMS/gliv-1.9.6-2.src.rpm
Comment 10 Mamoru TASAKA 2006-11-22 12:22:47 EST
Okay.

---------------------------------------------
  This package (gliv) is APPROVED by me.
Comment 11 Peter Lemenkov 2006-11-22 14:15:18 EST
Thanks.
Successfully built in FE-Devel
Comment 12 Laszlo Ersek 2011-12-21 09:26:11 EST
Package Change Request
======================
Package Name: gliv
New Branches: el6
Owners: ajax

Justification: builds out of the box
(http://koji.fedoraproject.org/koji/taskinfo?taskID=3598153), small, light,
useful; less intrusive and more handy than gthumb for example, especially when
zooming and rotating.

Here's a comparison between the (install) deps:

Need by both:

    /bin/sh  
    libX11.so.6()(64bit)  
    libc.so.6()(64bit)  
    libc.so.6(GLIBC_2.2.5)(64bit)  
    libc.so.6(GLIBC_2.3)(64bit)  
    libc.so.6(GLIBC_2.3.4)(64bit)  
    libc.so.6(GLIBC_2.4)(64bit)  
    libcairo.so.2()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libm.so.6(GLIBC_2.2.5)(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    libpthread.so.0(GLIBC_2.2.5)(64bit)  
    rpmlib(CompressedFileNames) <= 3.0.4-1 <= 3.0.4-1
    rpmlib(FileDigests) <= 4.6.0-1 <= 4.6.0-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1 <= 4.0-1
    rpmlib(PayloadIsXz) <= 5.2-1 <= 5.2-1
    rtld(GNU_HASH)  

Needed by gthumb only:

    /bin/bash 
    GConf2 >= 2.14
    desktop-file-utils >= 0.9
    libORBit-2.so.0()(64bit) 
    libXrender.so.1()(64bit) 
    libart_lgpl_2.so.2()(64bit) 
    libbonobo-2.so.0()(64bit) 
    libbonobo-activation.so.4()(64bit) 
    libc.so.6(GLIBC_2.11)(64bit) 
    libc.so.6(GLIBC_2.7)(64bit) 
    libexif.so.12()(64bit) 
    libgconf-2.so.4()(64bit) 
    libglade-2.0.so.0()(64bit) 
    libgnome-2.so.0()(64bit) 
    libgnomecanvas-2.so.0()(64bit) 
    libgnomeui-2.so.0()(64bit) 
    libgnomevfs-2.so.0()(64bit) 
    libgphoto2.so.2()(64bit) 
    libgphoto2_port.so.0()(64bit) 
    libgthumb.so()(64bit) 
    libiptcdata.so.0()(64bit) 
    libjpeg.so.62()(64bit) 
    libopenrawgnome.so.1()(64bit) 
    libpng12.so.0()(64bit) 
    libpng12.so.0(PNG12_0)(64bit) 
    libtiff.so.3()(64bit) 
    libxml2.so.2()(64bit) 
    libxml2.so.2(LIBXML2_2.4.30)(64bit) 
    scrollkeeper 

Needed by gliv only:

    libGL.so.1()(64bit) 
    libGLU.so.1()(64bit) 
    libICE.so.6()(64bit) 
    libSM.so.6()(64bit) 
    libXmu.so.6()(64bit) 
    libXt.so.6()(64bit) 
    libatk-1.0.so.0()(64bit) 
    libfontconfig.so.1()(64bit) 
    libfreetype.so.6()(64bit) 
    libgdkglext-x11-1.0.so.0()(64bit) 
    libgio-2.0.so.0()(64bit) 
    libgtkglext-x11-1.0.so.0()(64bit) 
    libpangoft2-1.0.so.0()(64bit) 
    libpangox-1.0.so.0()(64bit) 
    librt.so.1()(64bit)

Note You need to log in before you can comment on or make changes to this bug.